using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetabledisciplineaddchild2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "child1",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child1Id",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child1ShortName",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child2",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child2Id",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child2ShortName",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child3",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child3Id",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child3ShortName",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child4",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child4Id",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child4ShortName",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posLevelId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posLevelName",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posMasterNo",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posTypeId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posTypeName",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "position",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "root",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "rootId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "rootShortName",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child1",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child1Id",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child1ShortName",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child2",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child2Id",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child2ShortName",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child3",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child3Id",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child3ShortName",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child4",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child4Id",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child4ShortName",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posLevelId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posLevelName",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posMasterNo",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posTypeId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posTypeName",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "position",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "root",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "rootId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "rootShortName",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child1",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child1Id",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child1ShortName",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child2",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child2Id",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child2ShortName",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child3",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child3Id",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child3ShortName",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child4",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child4Id",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child4ShortName",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posLevelId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posLevelName",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posMasterNo",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posTypeId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posTypeName",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "position",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "root",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "rootId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "rootShortName",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child1",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child1Id",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child1ShortName",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child2",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child2Id",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child2ShortName",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child3",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child3Id",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child3ShortName",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child4",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child4Id",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child4ShortName",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posLevelId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posLevelName",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posMasterNo",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posTypeId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posTypeName",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "position",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "root",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "rootId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "rootShortName",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child1",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child1Id",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child1ShortName",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child2",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child2Id",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child2ShortName",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child3",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child3Id",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child3ShortName",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child4",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child4Id",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child4ShortName",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posLevelId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posLevelName",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posMasterNo",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posTypeId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posTypeName",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "position",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "root",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "rootId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "rootShortName",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child1",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child1Id",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child1ShortName",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child2",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child2Id",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child2ShortName",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child3",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child3Id",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child3ShortName",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child4",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child4Id",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child4ShortName",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posLevelId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posLevelName",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posMasterNo",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posTypeId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posTypeName",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "position",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "root",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "rootId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "rootShortName",
                table: "PlacementOfficers");

            migrationBuilder.AddColumn<string>(
                name: "child1Old",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1OldId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortNameOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Old",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2OldId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortNameOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Old",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3OldId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortNameOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Old",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4OldId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortNameOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelNameOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelOldId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNoOld",
                table: "RetirementResigns",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง old");

            migrationBuilder.AddColumn<string>(
                name: "posTypeNameOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeOldId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOldId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortNameOld",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Old",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1OldId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortNameOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Old",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2OldId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortNameOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Old",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3OldId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortNameOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Old",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4OldId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortNameOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelNameOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelOldId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNoOld",
                table: "RetirementOuts",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง old");

            migrationBuilder.AddColumn<string>(
                name: "posTypeNameOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeOldId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOldId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortNameOld",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Old",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1OldId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortNameOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Old",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2OldId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortNameOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Old",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3OldId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortNameOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Old",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4OldId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortNameOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelNameOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelOldId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNoOld",
                table: "RetirementOthers",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง old");

            migrationBuilder.AddColumn<string>(
                name: "posTypeNameOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeOldId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOldId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortNameOld",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Old",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1OldId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortNameOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Old",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2OldId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortNameOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Old",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3OldId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortNameOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Old",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4OldId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortNameOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelNameOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelOldId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNoOld",
                table: "PlacementTransfers",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง old");

            migrationBuilder.AddColumn<string>(
                name: "posTypeNameOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeOldId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOldId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortNameOld",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Old",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1OldId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortNameOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Old",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2OldId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortNameOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Old",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3OldId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortNameOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Old",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4OldId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortNameOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelNameOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelOldId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNoOld",
                table: "PlacementRepatriations",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง old");

            migrationBuilder.AddColumn<string>(
                name: "posTypeNameOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeOldId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOldId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortNameOld",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Old",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1OldId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortNameOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Old",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2OldId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortNameOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Old",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3OldId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortNameOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Old",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4OldId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortNameOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4 old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelNameOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelOldId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNoOld",
                table: "PlacementOfficers",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง old");

            migrationBuilder.AddColumn<string>(
                name: "posTypeNameOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeOldId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootOldId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortNameOld",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root old")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "child1Old",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child1OldId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child1ShortNameOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child2Old",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child2OldId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child2ShortNameOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child3Old",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child3OldId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child3ShortNameOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child4Old",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child4OldId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child4ShortNameOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posLevelNameOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posLevelOldId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posMasterNoOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posTypeNameOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "posTypeOldId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "rootOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "rootOldId",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "rootShortNameOld",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "child1Old",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child1OldId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child1ShortNameOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child2Old",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child2OldId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child2ShortNameOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child3Old",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child3OldId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child3ShortNameOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child4Old",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child4OldId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child4ShortNameOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posLevelNameOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posLevelOldId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posMasterNoOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posTypeNameOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "posTypeOldId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "rootOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "rootOldId",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "rootShortNameOld",
                table: "RetirementOuts");

            migrationBuilder.DropColumn(
                name: "child1Old",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child1OldId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child1ShortNameOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child2Old",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child2OldId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child2ShortNameOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child3Old",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child3OldId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child3ShortNameOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child4Old",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child4OldId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child4ShortNameOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posLevelNameOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posLevelOldId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posMasterNoOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posTypeNameOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "posTypeOldId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "rootOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "rootOldId",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "rootShortNameOld",
                table: "RetirementOthers");

            migrationBuilder.DropColumn(
                name: "child1Old",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child1OldId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child1ShortNameOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child2Old",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child2OldId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child2ShortNameOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child3Old",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child3OldId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child3ShortNameOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child4Old",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child4OldId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child4ShortNameOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posLevelNameOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posLevelOldId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posMasterNoOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posTypeNameOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "posTypeOldId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "rootOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "rootOldId",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "rootShortNameOld",
                table: "PlacementTransfers");

            migrationBuilder.DropColumn(
                name: "child1Old",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child1OldId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child1ShortNameOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child2Old",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child2OldId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child2ShortNameOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child3Old",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child3OldId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child3ShortNameOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child4Old",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child4OldId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child4ShortNameOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posLevelNameOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posLevelOldId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posMasterNoOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posTypeNameOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "posTypeOldId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "rootOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "rootOldId",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "rootShortNameOld",
                table: "PlacementRepatriations");

            migrationBuilder.DropColumn(
                name: "child1Old",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child1OldId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child1ShortNameOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child2Old",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child2OldId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child2ShortNameOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child3Old",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child3OldId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child3ShortNameOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child4Old",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child4OldId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "child4ShortNameOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posLevelNameOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posLevelOldId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posMasterNoOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posTypeNameOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "posTypeOldId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "rootOld",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "rootOldId",
                table: "PlacementOfficers");

            migrationBuilder.DropColumn(
                name: "rootShortNameOld",
                table: "PlacementOfficers");

            migrationBuilder.AddColumn<string>(
                name: "child1",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Id",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortName",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Id",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortName",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Id",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortName",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Id",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortName",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelName",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNo",
                table: "RetirementResigns",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง");

            migrationBuilder.AddColumn<string>(
                name: "posTypeId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeName",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "position",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อตำแหน่งในสายงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "root",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootId",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortName",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Id",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortName",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Id",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortName",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Id",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortName",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Id",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortName",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelName",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNo",
                table: "RetirementOuts",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง");

            migrationBuilder.AddColumn<string>(
                name: "posTypeId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeName",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "position",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อตำแหน่งในสายงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "root",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootId",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortName",
                table: "RetirementOuts",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Id",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortName",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Id",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortName",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Id",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortName",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Id",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortName",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelName",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNo",
                table: "RetirementOthers",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง");

            migrationBuilder.AddColumn<string>(
                name: "posTypeId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeName",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "position",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อตำแหน่งในสายงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "root",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootId",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortName",
                table: "RetirementOthers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Id",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortName",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Id",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortName",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Id",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortName",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Id",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortName",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelName",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNo",
                table: "PlacementTransfers",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง");

            migrationBuilder.AddColumn<string>(
                name: "posTypeId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeName",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "position",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อตำแหน่งในสายงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "root",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootId",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortName",
                table: "PlacementTransfers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Id",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortName",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Id",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortName",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Id",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortName",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Id",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortName",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelName",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNo",
                table: "PlacementRepatriations",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง");

            migrationBuilder.AddColumn<string>(
                name: "posTypeId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeName",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "position",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อตำแหน่งในสายงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "root",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootId",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortName",
                table: "PlacementRepatriations",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1Id",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child1ShortName",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child1")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2Id",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child2ShortName",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child2")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3Id",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child3ShortName",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child3")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4Id",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "child4ShortName",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน child4")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id ระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posLevelName",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "posMasterNo",
                table: "PlacementOfficers",
                type: "int",
                nullable: true,
                comment: "เลขที่ตำแหน่ง");

            migrationBuilder.AddColumn<string>(
                name: "posTypeId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id ประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "posTypeName",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อประเภทตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "position",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อตำแหน่งในสายงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "root",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootId",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "id หน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "rootShortName",
                table: "PlacementOfficers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อย่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");
        }
    }
}
